export default {
  authReducer: {
    is_request: false,
    code_send: null,
    code_confirmed: null,
    password_reset: null,
    access_token: null,
    refresh_token: null,
    fcm_token: null,
  },
  settingsReducer: {
    network_connected: false,
    biometry_type: null,
    lang_code: null,
    show_custom_toast: null,
    quick_log_in: true,
    autocomplete_data: [],
    enable_push: true,
  },
  errorsReducer: {
    validation: null,
    modal: null,
  },
  profileReducer: {
    is_request: false,
    profile: null,
    is_updated: null,
    code_send: null,
    code_confirmed: null,
    tournaments_statistics: null,
    quizzes_statistics: null,
    rating_my_profile: null,
    rating_list: null,
    rating_filter_params: {
      page: 0,
      total_pages: 0,
      last_page: false,
    },
    payment_list: null,
    payment_filter_params: {
      page: 0,
      total_pages: 0,
      last_page: false,
    },
    user_profile: null,
  },
  generalReducer: {
    is_request: false,
    privacy_policy: null,
    is_sent_feedback: null,
    faqs: null,
    faqs_tournament: null,
    app_is_full_loaded: false,
    show_dialog_modal: null,
    dialog_type_key: null,
  },
  tournamentsReducer: {
    is_request: false,
    is_modal_request: false,
    tournaments_list: null,
    tournament_data: null,
    participants_list: null,
    join_to_tournament: null,
    tooltips: 0,
    life: 0,
    current_tooltip: null,
    question: null,
    answer: null,
    result: null,
    modalData: null,
  },
  quizzesReducer: {
    is_request: false,
    is_modal_request: false,
    quizzes_list: null,
    questions_list: null,
    tooltips: 0,
    life: 0,
    complete_num: 0,
    answers: null,
    currentQuestion: null,
    result_saved: null,
    donates_list: null,
  },
  notificationReducer: {
    is_request: false,
    message: null,
    list: null,
    list_filter_params: {
      page: 0,
      total_pages: 0,
      last_page: false,
    },
  },
  chatReducer: {
    is_request: false,
    chats_list: null,
    not_read_count: 0,
    chats_filter_params: {
      page: 0,
      total_pages: 0,
      last_page: false,
    },
    messages: null,
    chat_id: null,
    messages_filter_params: {
      page: 0,
      total_pages: 0,
      last_page: false,
    },
  },
};
